/*
 *	spDIBitmap_Win.h
 */

#ifndef __SPDIBITMAP_WIN_H
#define __SPDIBITMAP_WIN_H

#ifdef __cplusplus
extern "C" {
#endif

extern spBool spCopyDIBitmapToImageWinGP(spDIBitmapInfoInternal *info, void *bitmap, spComponent dest, int src_x, int src_y,
					 int width, int height, int dest_x, int dest_y);
extern spBool spStretchDIBitmapToImageWinGP(spDIBitmapInfoInternal *info, void *bitmap, spComponent dest,
					    int src_x, int src_y, int src_width, int src_height,
					    int dest_x, int dest_y, int dest_width, int dest_height);
extern void *spCopyImageToDIBitmapWinGP(spComponent src, spDIBitmapInfoInternal *info, void *bitmap, int src_x, int src_y,
					int width, int height, int dest_x, int dest_y);

#ifdef __cplusplus
}  /* Close scope of 'extern "C"' declaration */
#endif

#endif /* __SPDIBITMAP_WIN_H */
